# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-foolscap
%global modulename foolscap

Name:           python-module-foolscap
Version:        0.6.3
Release:        alt1_1
Summary:        Next-generation RPC protocol, intended to replace Perspective Broker

Group:          Development/Python
License:        MIT
URL:            http://foolscap.lothar.com
Source0:        http://foolscap.lothar.com/releases/%{modulename}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-module-twisted-web python-module-setuptools python-module-OpenSSL
Requires:       python-module-twisted-web python-module-OpenSSL
Source44: import.info

%description
Foolscap (aka newpb) is a new version of Twisted's native RPC protocol, known
as 'Perspective Broker'. This allows an object in one process to be used by
code in a distant process. This module provides data marshaling, a remote
object reference system, and a capability-based security model.

%prep
%setup -q -n %{modulename}-%{version}

%build
%{__python} setup.py build
find doc/ -name \*.py | xargs chmod 0644

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%files
%doc README LICENSE NEWS ChangeLog doc/*
%dir %{python_sitelibdir_noarch}/%{modulename}
%{python_sitelibdir_noarch}/%{modulename}/*
%{python_sitelibdir_noarch}/*egg-info

%{_bindir}/flogtool
%{_bindir}/flappclient
%{_bindir}/flappserver

%changelog
* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.3-alt1_1
- initial fc import

